<?php

class Privilegios extends GxActiveRecord {

    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    public function tableName() {
        return 'privilegios';
    }

    public static function label($n = 1) {
        return Yii::t('app', 'Privilégio|Privilégios', $n);
    }

    public static function representingColumn() {
        return 'PRI_DESCRICAO';
    }

    public function rules() {
        return array(
            array('PRI_DESCRICAO', 'required'),
            array('PRI_ID, PRI_DESCRICAO', 'safe'),
        );
    }

    public function relations() {
        return array();
    }

    public function pivotModels() {
        return array();
    }

    public function attributeLabels() {
        return array(
            'PRI_ID'        => 'Código',
            'PRI_DESCRICAO' => 'Privilégio'
        );
    }
}